import { HttpInterceptor, HttpRequest, HttpHandler, HttpEvent } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { AuthTokenService } from 'src/app/modules/shared/services/auth/auth-token.service';

@Injectable()
export class TokenInterceptor implements HttpInterceptor {

    constructor(private authTokenService: AuthTokenService) {
    }

    intercept(httpRequest: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {
        if (this.authTokenService.hasToken()) {
            const Authorization = `Bearer ${this.authTokenService.getToken()}`;
            return next.handle(httpRequest.clone({ setHeaders: { Authorization } }));
        }
        return next.handle(httpRequest);

    }
}
